class 'fif_part'

function fif_part:__init()
 self.object=nil
 self.startPos=nil
 self.index=nil
self.power=nil
self.tween=nil

 self.coord={}
 self.stepX=126
 self.stepY=126
 self.startX=466
 self.startY=171


end

function fif_part:setObject(obj)
 self.object=obj
end
function fif_part:getObject()
 return self.object
end


function fif_part:setStartPos(param)
 self.startPos=param
end
function fif_part:getStartPos()
 return self.startPos
end

function fif_part:setIndex(param)
 self.index=param
end
function fif_part:getIndex()
 return self.index
end

function fif_part:setCoord(param)
 self.coord=param
end
function fif_part:getCoord()
 return self.coord
end

function fif_part:setPower(param)
 self.power=param
end
function fif_part:getPower()
 return self.power
end

function fif_part:setTween(param)
 self.tween=param
end
function fif_part:getTween()
 return self.tween
end



function fif_part:setPosObject()
 self.object:set_position(Position(self.startX+self.stepX*(self.coord.x-1),
                                   self.startY+self.stepY*(self.coord.y-1)),true)
end

function fif_part:move()
 self.tween:getsParmsMove(self.object,100,self.object:position(),Position(self.startX+self.stepX*(self.coord.x-1),
                                   self.startY+self.stepY*(self.coord.y-1)))
end
function fif_part:set_goodpos(shift1,shift2)
  self.object:set_position(Position(self.startX+self.stepX*(self.coord.x-1)+shift1,
                                   self.startY+self.stepY*(self.coord.y-1)+shift2),true)
end



